{ pkgs, ... }:
{
  virtualisation = {
    containers.enable = true;
    oci-containers.backend = "podman";
  };

  virtualisation.podman = {
    enable = true;
    dockerSocket.enable = true;
    dockerCompat = true;
    defaultNetwork.settings.dns_enabled = false;
  };

  environment.systemPackages = with pkgs; [
    podman
    podman-compose
  ];
}
